<?php

namespace App\Classes\Modules\Banks\Standards\Rules;

use App\Classes\General\Abstracts\AbstractRule;
use App\Classes\Modules\Banks\DataTransferObjects\BankObject;

class CanDeleteBank extends AbstractRule
{
    /**
     * @return bool
     */
    protected function authorized(): bool
    {
        // TODO  Set Authorization rules
        return true;

    }

    /**
     * @param BankObject $object
     * @return bool
     */
    protected function validators($object): bool
    {
        return true;

    }


    /**
     * @param BankObject $object
     * @return bool
     */
    protected function criteria($object): bool
    {
        return true;
    }

}